package com.tuoheng.admin.enums.code.dept;

/**
 *  添加部门信息返回码
 *      模块代码：20（部门管理）
 *      接口代码：03 （添加部门）
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-11-20
 */
public enum AddDeptCodeEnum {

    ADD_DEPT_IS_FAILED(1200300, "添加部门失败"),
    DEPT_PID_IS_NULL(1200301, "请选择上级部门"),
    DEPT_NAME_IS_NULL(1200302, "部门名为空"),
    ROOT_DEPT_IS_EXIST(1200303, "顶级部门已存在"),
    PARENT_DEPT_IS_NOT_EXIST(1200304, "上级部门不存在"),
    DEPT_NAME_IS_ALREADY_EXIST(1200305, "该部门下已存该部门名称"),
    ROAD_IS_NULL(1200306, "航道信息为空"),
    SECTION_IS_NULL(1200307, "航段信息为空");

    /**
     * 错误码
     */
    private int code;

    /**
     * 错误信息
     */
    private String msg;

    AddDeptCodeEnum(int code, String msg){
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

}
